Bug 523603 - Fast User Switching Results in Darker Display
Summary: Fast User Switching Results in Darker Display
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_945G
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 05:58 UTC by Qian Cai
Modified: 2018-04-11 19:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 04:52:05 UTC


Attachments (Terms of Use)
Smolt Profile (5.55 KB, text/plain)
2009-09-16 05:58 UTC, Qian Cai
no flags Details
messages - KMS with drm.debug=1 (810.10 KB, text/plain)
2009-09-16 05:59 UTC, Qian Cai
no flags Details
dmesg - KMS with drm.debug=1 (43.66 KB, text/plain)
2009-09-16 06:00 UTC, Qian Cai
no flags Details
Xorg.0.log - KMS with drm.debug=1 (51.78 KB, text/plain)
2009-09-16 06:00 UTC, Qian Cai
no flags Details

Description Qian Cai 2009-09-16 05:58:35 UTC
Created attachment 361185 [details]
Smolt Profile

Description of problem:
After fast user switching, the display gets darker. This has nothing to do with the onboard monitor settings. The problem happens with and without KMS. The monitor is,

DELL E228WFP 21 inch Widescreen

Version-Release number of selected component (if applicable):
kernel-2.6.31-2.fc12.x86_64
xorg-x11-drv-intel-2.8.0-13.20090909.fc12.x86_64
gdm-user-switch-applet-2.27.90-2.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1.  Create a second regular user account, if you do not already have one available. If you are using a live image, either change the password of the 'liveuser' user to something you can use, or create two regular user accounts to test with, then log in as the first
2. Trigger fast switching (in a default Fedora desktop, click your name at the top right hand corner, then select Switch User)
3. Log in with the second user account 
  
Actual results:
darker display

Expected results:
normal display

Comment 1 Qian Cai 2009-09-16 05:59:42 UTC
Created attachment 361186 [details]
messages - KMS with drm.debug=1

Comment 2 Qian Cai 2009-09-16 06:00:13 UTC
Created attachment 361187 [details]
dmesg - KMS with drm.debug=1

Comment 3 Qian Cai 2009-09-16 06:00:46 UTC
Created attachment 361188 [details]
Xorg.0.log - KMS with drm.debug=1

Comment 4 Adam Williamson 2009-09-18 04:23:02 UTC
similar to 522849, but maybe not the same...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Antal KICSI 2009-10-30 10:47:48 UTC
I have the same problem with i845.
Smolt profile : 
http://www.smolts.org/client/show/pub_50c9b678-9c49-4072-b7a6-c5eb9a36c342  

I reported it on 522849 too!

Comment 7 Matěj Cepl 2009-11-05 17:16:42 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Adam Williamson 2009-11-05 21:42:29 UTC
specifically, I suspect this should be fixed since X server 1.7.0-2 . please test with something later.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Antal KICSI 2009-11-06 11:44:51 UTC
Looks OK to me with i845. I used desktop-i386-20091103.16.iso from

http://alt.fedoraproject.org/pub/alt/nightly-composes/

Smolt profile : 
http://www.smolts.org/client/show/pub_50c9b678-9c49-4072-b7a6-c5eb9a36c342

Comment 10 Adam Williamson 2009-11-06 20:51:55 UTC
thanks, Antal - would like to confirm with Cai's hardware too before closing.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 11 Bug Zapper 2009-11-16 12:27:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Adam Williamson 2009-11-19 20:25:35 UTC
cai, ping?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 13 Qian Cai 2009-11-20 04:00:28 UTC
Confirmed fixed. Thanks guys!

Comment 14 Adam Williamson 2009-11-20 04:52:05 UTC
allllrighty then.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.